# Corpus Composition Analyzer (Prototype)

Prototype of a corpus composition analyzer for KorAP

## Installation

```bash
docker build -f Dockerfile -t korap/corpuscomposition:snapshot .
```

Or get the docker image from GitLab:

```bash
curl -L 'https://gitlab.ids-mannheim.de/KorAP/CorpusCompositionAnalyzer/-/jobs/artifacts/master/raw/corpuscomposition-snapshot.xz?job=build-docker-image' | unxz | docker load
```

## Run

```bash
docker run --rm -p 3838:3838 korap/corpuscomposition:snapshot
```

Then open <http://localhost:3838/> for the default corpora or
`http://localhost:3838/?cq=<vc-definition-1>;<vc-definition-2>;<vc-definition-n>`
for comparing specific corpora.


## Run and test without Docker

Run `shiny/app.R` in RStudio or from the command line:

```bash
R -e "shiny::runApp('shiny/app.R')"
```
